# $Revision: 1.8 $, $Date: 2008-04-06 20:09:58 $
%define		rname qca-sasl
#
Summary:	Qt Cryptographic Architecture (QCA) SASL plugin
Summary(pl.UTF-8):	Wtyczka SASL dla Qt Cryptographic Architecture (QCA)
Name:		qt-plugin-%{rname}
Version:	1.0
Release:	6
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://delta.affinix.com/qca/%{rname}-1.0.tar.bz2
# Source0-md5:	2e324cb45706f37a8d2b196f43428023
URL:		http://delta.affinix.com/qca/
BuildRequires:	cyrus-sasl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qt-devel >= 6:3.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir %{_libdir}/qt/plugins-mt/crypto

%description
A plugin to provide SASL capability to programs that utilize the Qt
Cryptographic Architecture (QCA).

%description -l pl.UTF-8
Wtyczka pozwalająca wykorzystać możliwości SASL w programach
korzystających z Qt Cryptographic Architecture (QCA).

%prep
%setup -qn %{rname}-%{version}

# This dir contains bad qcextra file, so prepare good one
sed -i \
	's,target.path=.*,target.path=%{_plugindir},' \
	qcextra

%build
export QTDIR=%{_prefix}
./configure

qmake %{rname}.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qt-plugin-qca-sasl.spec,v $
Revision 1.8  2008-04-06 20:09:58  arekm
- release 6

Revision 1.7  2008-03-19 08:41:27  arekm
- rel 5

Revision 1.6  2007-09-17 13:28:01  baggins
- rel 4

Revision 1.5  2007/04/10 23:04:25  shadzik
- qt-devel epoch (still 6)

Revision 1.4  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.2  2004/11/12 16:15:46  pluto
- BR := cyrus-sasl-devel

Revision 1.1  2004/11/03 19:03:38  jpc
- new standalone library and plugin releases
- based on old qt-plugins-qca-tls and psi.spec

